Bug 1107127 - Review Request: procenv - Utility to show process environment
Review Request: procenv - Utility to show process environment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-09 16:00 EDT by Dave Love
Modified: 2016-03-06 21:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 00:25:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
orion: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dave Love 2014-06-09 16:00:31 EDT
Spec URL: http://arc.liv.ac.uk/downloads/misc/SPECS/procenv.spec
SRPM URL: http://arc.liv.ac.uk/downloads/misc/SRPMS/procenv-0.35-2.el6.src.rpm
Description: 
A command-line tool that displays as much
detail about itself and its environment as possible. It can be
used as a test tool, to understand the type of environment a
process runs in, and for comparing system environments.
Fedora Account System Username: loveshack

This is a simple build from the spec file I originally made which is included
in the package, with a fix for EPEL which is now in upstream.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=6981427

This is my first package.  I have an offer of a sponsor, but I think he's busy
and may not get to it for a while.
Comment 1 Jerry James 2014-06-09 19:11:40 EDT
You don't need to have BuildRequires for packages on this list:

 http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

In particular, drop the BuildRequires for gcc and make.  Also, rpmlint complains:

procenv.src: E: specfile-error warning: bogus date in %changelog: Wed Nov 14 2013 Dave Love <d.love@liverpool.ac.uk> - 0.27-1

If your potential sponsor won't be available for awhile, I can fill in.  I have a soft spot for Emacs developers. :-)
Comment 2 Dave Love 2014-06-10 11:07:49 EDT
Thanks.  I obviously should have checked it properly.  There's no need
for autotools either.

The RHEL6 version of rpmlint didn't spot the date error; I wonder how
it got like that.

Anyhow, I've fixed the spec and srpm.
Comment 3 Susi Lehtola 2014-07-01 21:12:39 EDT
I can fill in as well if necessary.
Comment 4 Ryan Brown 2014-07-14 10:25:47 EDT
I notice that the RPM tries to use the user dlove.

=== from results/root.log ===
DEBUG util.py:331:  Executing command: ['rpm', '-Uvh', '--nodeps', '/builddir/build/originals/procenv-0.35-2.el6.src.rpm'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
DEBUG util.py:281:  Updating / installing...
DEBUG util.py:281:  procenv-0.35-2.el6                    warning: user dlove does not exist - using root
DEBUG util.py:281:  ########################################
DEBUG util.py:281:  warning: user dlove does not exist - using root
DEBUG util.py:371:  Child return code was: 0

=== end results/root.log snippet ===

Running the command "strings" on the srpm shows two occurrences of "dlove"

$ strings ./srpm/procenv-0.35-2.el6.src.rpm | grep dlove
 dlove
dlove

It seems like during your build process you included your own user as a file owner.
Comment 5 Michael Schwendt 2014-07-26 06:36:53 EDT
> I notice that the RPM tries to use the user dlove.

It would be similar with your own src.rpm packages, because it's entirely normal for the included files to be owned by the user that builds the src.rpm, e.g. "mockbuild" or your ordinary user account.


> $ strings ./srpm/procenv-0.35-2.el6.src.rpm | grep dlove

Examine: rpm -qlvp procenv-0.35-2.el6.src.rpm


> %doc

An empty %doc line makes no sense, since it's a no-op.


> %{_mandir}/man1/procenv.1.gz

Not a big issue, but prefer

  %{_mandir}/man1/procenv.1*

to allow for disabled/changed/customized compression of manual pages.
Comment 6 Dave Love 2014-07-27 16:54:52 EDT
(In reply to Jerry James from comment #1)
> If your potential sponsor won't be available for awhile, I can fill in.

Could you do that?  Thanks.
Comment 7 Dave Love 2014-07-27 17:10:04 EDT
(In reply to Michael Schwendt from comment #5)
> > I notice that the RPM tries to use the user dlove.
> 
> It would be similar with your own src.rpm packages, because it's entirely
> normal for the included files to be owned by the user that builds the
> src.rpm, e.g. "mockbuild" or your ordinary user account.

Yes, and presumably the version that's eventually distributed will be
different anyhow.  The tarball will have arbitrary file ownerships too.
 
> %doc
> 
> An empty %doc line makes no sense, since it's a no-op.

Thanks.  It wasn't meant to be empty.
 
> > %{_mandir}/man1/procenv.1.gz
> 
> Not a big issue, but prefer
> 
>   %{_mandir}/man1/procenv.1*
> 
> to allow for disabled/changed/customized compression of manual pages.

Yes, that's what I do these days.  Now I've got space there, I've uploaded new
versions to:

https://loveshack.fedorapeople.org/review/procenv-0.35-3.el6.src.rpm
https://loveshack.fedorapeople.org/review/procenv.spec
Comment 8 Parag AN(पराग) 2015-08-15 11:21:47 EDT
FE-NEEDSPONSOR should have been removed when this package submitter has been sponsored into packager.
Comment 10 Orion Poplawski 2015-10-16 15:27:47 EDT
FYI - perl-JSON-PP is in RHEL7.
Comment 11 James Hunt 2015-10-23 15:02:07 EDT
I've made some very minor tweaks to Dave's spec file resulting in:

https://jamesodhunt.fedorapeople.org/packages/procenv/procenv.spec
https://jamesodhunt.fedorapeople.org/packages/procenv/procenv-0.41-1.fc23.src.rpm

Is there any hope we can get this package into Fedora?
Comment 12 Upstream Release Monitoring 2015-10-25 09:03:47 EDT
jamesodhunt's scratch build of procenv-0.41-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11577322
Comment 13 Upstream Release Monitoring 2015-10-25 09:10:30 EDT
jamesodhunt's scratch build of procenv-0.41-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11577328
Comment 14 Upstream Release Monitoring 2015-10-25 09:16:38 EDT
jamesodhunt's scratch build of procenv-0.41-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11577344
Comment 15 Upstream Release Monitoring 2015-10-25 09:25:12 EDT
jamesodhunt's scratch build of procenv-0.41-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11577350
Comment 16 James Hunt 2015-10-25 10:27:52 EDT
Yay - koji is now happy :-)

The failing koji builds were caused by missing BuildRequires, specifically:

- autoconf
- automake
- libtool.

I have now updated the files in comment 11 to include these builddeps (my originals are still in https://jamesodhunt.fedorapeople.org/packages/procenv/orig/).
Comment 17 Upstream Release Monitoring 2015-10-25 12:49:56 EDT
jamesodhunt's scratch build of procenv-0.41-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11577708
Comment 18 James Hunt 2015-10-25 12:51:02 EDT
Updated files in comment 11 once again to include 'check-devel' rather than 'check' BuildRequires.

Updated koji run: http://koji.fedoraproject.org/koji/taskinfo?taskID=11577708
Comment 19 Orion Poplawski 2015-10-26 23:19:33 EDT
So, I'm assuming you guys are interested in co-maintaining?  Who is going to be the POC?

James -

- No need for %defattr(), please remove
- Why are you running autoreconf?
Comment 20 Dave Love 2015-10-27 12:42:27 EDT
(In reply to Orion Poplawski from comment #19)
> So, I'm assuming you guys are interested in co-maintaining?  Who is going to
> be the POC?

James, since he wrote it, though it's currently moot.  I don't specifically
want to maintain it, but I'd like to see it available as an answer to 
"Why does my program fail under the batch system?".

> James -
> 
> - No need for %defattr(), please remove

I'd subsequently done that and modified the perl-JSON-PP condition per the previous comment.  (I think this preceded EPEL7.)  Is it still relevant with
whatever "check" does?

# Only used for testing; not in EPEL < 7.
%if 0%{?fedora} || 0%{rhel} > 6
BuildRequires:  perl-JSON-PP
%endif

> - Why are you running autoreconf?

It no longer ships with autotools output, though I think it should.
(I realize you may not want to keep that in the repo, and I assume you'd
have to when using github, but omitting it probably makes builds less reliable.)
In their absence, I'd have run the "reconf" script that's there.

The packaging rules say the source URL should be of the form
https://github.com/jamesodhunt/procenv/archive/%commit.tar.gz
and then you need

%setup -q -n procenv-%commit
Comment 21 Orion Poplawski 2015-10-27 23:29:21 EDT
(In reply to Dave Love from comment #20)
> (In reply to Orion Poplawski from comment #19)
> > So, I'm assuming you guys are interested in co-maintaining?  Who is going to
> > be the POC?
> 
> James, since he wrote it, though it's currently moot.  I don't specifically
> want to maintain it, but I'd like to see it available as an answer to 
> "Why does my program fail under the batch system?".

Well, looking closer, it does not appear that James is currently a packager.  Is that correct?  James - do you want to become one?
> 
> > James -
> > 
> > - No need for %defattr(), please remove
> 
> I'd subsequently done that and modified the perl-JSON-PP condition per the
> previous comment.  (I think this preceded EPEL7.)  Is it still relevant with
> whatever "check" does?

I think so.

> > - Why are you running autoreconf?
> 
> It no longer ships with autotools output, though I think it should.
> (I realize you may not want to keep that in the repo, and I assume you'd
> have to when using github, but omitting it probably makes builds less
> reliable.)

Ah, I get it now.  James - you really want to produce proper releases with "make dist" and upload the tarballs.  I assume github still allows for that.

> The packaging rules say the source URL should be of the form
> https://github.com/jamesodhunt/procenv/archive/%commit.tar.gz
> and then you need
> 
> %setup -q -n procenv-%commit

Actually, they don't and this was clarified a while back.  But I prefer:

Source0:        https://github.com/jamesodhunt/procenv/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

though perhaps this will change with uploaded tarballs.
Comment 22 James Hunt 2015-10-28 04:44:54 EDT
I am more than happy for Dave to maintain this package. As Orion says, I'm not currently a packager but would like to work towards becoming one.

Apologies Dave - I wasn't trying to derail your good work getting procenv into Fedora, but it seemed like this bug had stalled. I have a couple of other project I intend to package and I came across this bug so poked it a bit :-)

Regarding the .spec file:

- I've now removed defattr().
- json_pp - this is indeed used by the tests so should be available at build time.
- The lack of autotool output is indeed missing in v0.41. That's partly due to fallout from the switch from launchpad to github. I'll add it for the next release. I'm still learning github, but their release process is more of a git-tag-and-autocreate-tar.gz as opposed to a proper 'make dist'. However, I'll investigate for the next procenv release...
- Source0/%setup: I don't know if it's possible to generate tar files in this format with github.
Comment 23 Dave Love 2015-10-28 10:55:28 EDT
(In reply to Orion Poplawski from comment #21)

> > The packaging rules say the source URL should be of the form
> > https://github.com/jamesodhunt/procenv/archive/%commit.tar.gz
> > and then you need
> > 
> > %setup -q -n procenv-%commit
> 
> Actually, they don't and this was clarified a while back.  But I prefer:

Apologies.  Where are the actual rules?  https://fedoraproject.org/wiki/Packaging:SourceURL
looks similar to what I went by when it seemed I should change URLs.

> Source0:       
> https://github.com/jamesodhunt/procenv/archive/%{version}.tar.gz#/%{name}-
> %{version}.tar.gz

Thanks.  It's definitely better if you can keep sanely-named tarballs
around locally.
Comment 24 Dave Love 2015-10-28 11:00:44 EDT
(In reply to James Hunt from comment #22)
> Apologies Dave - I wasn't trying to derail your good work getting procenv
> into Fedora, but it seemed like this bug had stalled. I have a couple of
> other project I intend to package and I came across this bug so poked it a
> bit :-)

No need for apologies; that's what I assumed anyhow.  Apologies if I
came across annoyed.

[I can't say I like the github effect in various ways.]
Comment 26 James Hunt 2015-11-04 13:05:55 EST
I guess as I'm not a packager my name shouldn't appear in the changelog, so Dave please feel free to change it as you wish.

Now that the dust from the fc23 release has settled, is there anything else that needs to be done before this package can be added to Fedora?
Comment 27 James Hunt 2015-11-05 16:25:50 EST
Files now updated for procenv 0.42 (which no longer requires autoreconf!):

https://jamesodhunt.fedorapeople.org/packages/procenv/
Comment 28 Upstream Release Monitoring 2015-11-05 16:28:19 EST
jamesodhunt's scratch build of procenv-0.42-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11719447
Comment 29 Dave Love 2015-11-11 08:41:02 EST
(In reply to James Hunt from comment #26)
> I guess as I'm not a packager my name shouldn't appear in the changelog, so
> Dave please feel free to change it as you wish.

The guidelines say "Keep old changelog entries to credit the original authors."
which seems good to me, but it's not clear to me if it needs one from me at
the top in the event that it's OK as-is.

> Now that the dust from the fc23 release has settled, is there anything else
> that needs to be done before this package can be added to Fedora?

I guess Orion will get round to it.  I'd missed that he'd actually taken
the review (thanks!).  I didn't think I could try a swap previously without a working
fedora-review.  That tells me the built package is uninstallable, but I can't
see why as it is installable in both RHEL 6 and Fedora rawhide.

Current URLs, which should be explicit, but I haven't had a
chance to look at the current version yet:

Spec URL: https://jamesodhunt.fedorapeople.org/packages/procenv/procenv.spec
SRPM URL: https://jamesodhunt.fedorapeople.org/packages/procenv/procenv-0.42-1.fc23.src.rpm
Comment 30 James Hunt 2015-11-22 12:56:22 EST
Whilst we wait, RPMs for Fedora, RHEL, Centos, etc are available via the Open Build Service repository:

https://software.opensuse.org/download.html?project=home%3Ajamesodhunt%3Aprocenv&package=procenv

(Caveat emptor - Note that they are based on the tip of the development branch, rather than released versions).
Comment 31 Dave Love 2015-11-24 09:11:52 EST
(In reply to James Hunt from comment #30)
> Whilst we wait, RPMs for Fedora, RHEL, Centos, etc are available via the
> Open Build Service repository:
> 
> https://software.opensuse.org/download.
> html?project=home%3Ajamesodhunt%3Aprocenv&package=procenv
> 
> (Caveat emptor - Note that they are based on the tip of the development
> branch, rather than released versions).

I've kept at least somewhat up-to-date with released versions under
https://copr.fedoraproject.org/coprs/loveshack/livhpc/
Comment 32 Dave Love 2015-11-24 09:18:42 EST
(In reply to Dave Love from comment #29)

> I didn't think I could try a swap previously without a working
> fedora-review.  That tells me the built package is uninstallable, but I can't
> see why as it is installable in both RHEL 6 and Fedora rawhide.

That appears to be a known bug in fedora-review.
Comment 33 Upstream Release Monitoring 2015-11-24 14:52:00 EST
jamesodhunt's scratch build of procenv-0.43-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11971335
Comment 35 James Hunt 2016-01-22 08:08:43 EST
Hi Orion - is there anything you are waiting on myself/Dave for still?

It would be great to get this into Fedora soon (for parity with Debian and Ubuntu, where it's been available for a long time).

Thanks in advance.
Comment 36 Dave Love 2016-02-15 11:58:10 EST
Ping on this stalled review.
Comment 37 Orion Poplawski 2016-02-16 18:43:39 EST
Sorry for the delay.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


- Missing latest changelog entry - I'm assuming you'll manage to fix this though.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)". Detailed output of licensecheck in
     /export/home/orion/redhat/1107127-procenv/licensecheck.txt
[-]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: procenv-0.43-1.el7.x86_64.rpm
          procenv-0.43-1.el7.src.rpm
procenv.x86_64: W: incoherent-version-in-changelog 0.42-1 ['0.43-1.el7', '0.43-1']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: procenv-debuginfo-0.43-1.el7.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
procenv.x86_64: W: incoherent-version-in-changelog 0.42-1 ['0.43-1.el7', '0.43-1']
procenv-debuginfo.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
procenv (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcap.so.2()(64bit)
    libnuma.so.1()(64bit)
    libnuma.so.1(libnuma_1.1)(64bit)
    libnuma.so.1(libnuma_1.2)(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libselinux.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
procenv:
    procenv
    procenv(x86-64)



Source checksums
----------------
https://github.com/jamesodhunt/procenv/archive/0.43.tar.gz#/procenv-0.43.tar.gz :
  CHECKSUM(SHA256) this package     : 45eb6aaac7b6b00df66a52652e35979a0aa7307ec1e436377d81ab3cf632a367
  CHECKSUM(SHA256) upstream package : 45eb6aaac7b6b00df66a52652e35979a0aa7307ec1e436377d81ab3cf632a367


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1107127
Buildroot used: epel-7-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 38 Dave Love 2016-02-17 07:35:37 EST
(In reply to Orion Poplawski from comment #37)
> - Missing latest changelog entry - I'm assuming you'll manage to fix this
> though.

Oops; thanks.  There's a recent update anyhow.
Comment 39 Jon Ciesla 2016-02-17 08:38:01 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/procenv
Comment 40 Fedora Update System 2016-02-17 16:06:45 EST
procenv-0.44-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c505d23149
Comment 41 Fedora Update System 2016-02-17 16:07:52 EST
procenv-0.44-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7dbbd7d092
Comment 42 Fedora Update System 2016-02-17 16:09:51 EST
procenv-0.44-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-daa7db6d1b
Comment 43 Fedora Update System 2016-02-17 16:11:24 EST
procenv-0.44-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ad6e50b35
Comment 44 Fedora Update System 2016-02-17 16:12:48 EST
procenv-0.44-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0535db238d
Comment 45 Fedora Update System 2016-02-21 01:21:43 EST
procenv-0.44-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-daa7db6d1b
Comment 46 Fedora Update System 2016-02-21 01:48:00 EST
procenv-0.44-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c505d23149
Comment 47 Fedora Update System 2016-02-21 01:53:37 EST
procenv-0.44-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7dbbd7d092
Comment 48 Fedora Update System 2016-02-21 13:00:25 EST
procenv-0.44-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0535db238d
Comment 49 Fedora Update System 2016-02-21 13:28:32 EST
procenv-0.44-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ad6e50b35
Comment 50 Fedora Update System 2016-02-29 00:25:27 EST
procenv-0.44-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 51 Fedora Update System 2016-02-29 05:22:20 EST
procenv-0.44-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 52 Fedora Update System 2016-03-06 17:28:26 EST
procenv-0.44-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 53 Fedora Update System 2016-03-06 21:23:59 EST
procenv-0.44-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 54 Fedora Update System 2016-03-06 21:56:28 EST
procenv-0.44-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.